For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
      • GETList financial accounts
      • GETGet a financial account
      • GETGet a financial account balance
  • DAFpay
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Core ResourcesFinancial Accounts

List financial accounts

GET
/v1/financial_accounts
GET
/v1/financial_accounts
$curl https://api.givechariot.com/v1/financial_accounts \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "id": "account_01jpjenf5q6cawy43yxfcrxhct",
5 "account_type": "disbursements",
6 "bank_provider": "mock_alpha",
7 "created_at": "2020-01-31T23:00:00Z",
8 "updated_at": "2020-01-31T23:00:00Z"
9 }
10 ]
11}
Returns a list of financial accounts.
Was this page helpful?
Previous

Get a financial account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

The response for FinancialAccounts.list
resultslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error